using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;

using net.terraservice;

public partial class TerraServiceTester : System.Web.UI.Page
{
   protected void btnLookup_Click(object sender, EventArgs e)
   {
      try
      {
         // utwórz pośrednika usługi TerraService
         TerraService ts = new TerraService();

         // utwórz i zapełnij miejsce dla usługi TerraService 
         Place aPlace = new Place();
         aPlace.City = txtCity.Text;
         aPlace.State = txtState.Text;
         aPlace.Country = "USA";

         // z usługi web pobierz informacje o miejscu 
         PlaceFacts facts = ts.GetPlaceFacts(aPlace);

         // wyświetl wynik
         labResult.Text += "Położenie miejsca: ";
         labResult.Text += facts.Center.Lat + "&deg; / ";
         labResult.Text += facts.Center.Lon + "&deg;";
      }
      catch (Exception ex)
      {
         labResult.Text = ex.Message;
         return;
      }
   }
}
